IRPCVault.GetUserContainers

View as Markdown

Vault API / core write session or assertion returns metadata structure version

Gets all user groups of the vault, of all group types, with their members.

ServiceVault information MFiles.IRPCVault
gRPC method/MFiles.IRPCVault/GetUserContainers
HTTP (mf-http-grpc)POST /grpc/v1/get-user-containers
RequestGetUserContainersRequest
ResponseGetUserContainersResponse
Book and levelVault API, core
Kindwrite
SessionRequired: a session (mfiles-session-id-bin metadata) or a session assertion (x-mf-session-assertion metadata).
Idempotentno
Returns metadata structure versionyes (in the mfiles-metadata-version-bin trailer)
Streamingnone (unary)

Request: GetUserContainersRequest

No fields.

Response: GetUserContainersResponse

Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.

FieldTypeDescription
groups[]repeated UserGroupBasicUser groups (represented by UserGroupBasic structs).
groups[].idint32The ID of the user group.
groups[].namestringThe name of the group.
groups[].members[]repeated int32The IDs of the members of this group (user accounts and/or user groups).
groups[].typeUserGroupTypeUser group type.Values: USER_GROUP_TYPE_NORMAL (0), USER_GROUP_TYPE_REPOSITORY_USER (1), USER_GROUP_TYPE_REPOSITORY_GROUP (2), USER_GROUP_TYPE_ANY (-1).